Bug 535789 - (RHQ-2449) support Solaris 10 Service Management Facility (SMF) init scripts
support Solaris 10 Service Management Facility (SMF) init scripts
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Launch Scripts (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-02 17:13 EDT by Mark Burchard
Modified: 2014-05-09 11:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Solaris 10
Last Closed: 2014-05-09 11:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
jon_2.2_and_2.3_SMF_scripts.tgz (1.07 KB, application/x-gzip)
2009-10-13 16:32 EDT, Mark Burchard
no flags Details

  None (edit)
Description Mark Burchard 2009-10-02 17:13:00 EDT
Solaris 10 has a completely new init system[1].  I've modified a couple of example jboss SMF scripts to support the Server and Agent, which I'll attach once I determine their GPL status/get permission from the author.  If I have to rewrite them from scratch, oh well :)

-Mark


[1]http://www.sun.com/bigadmin/features/articles/smf_example.jsp
Comment 1 Mark Burchard 2009-10-13 16:32:58 EDT
Example SMF scripts attached.  (jon_2.2_and_2.3_SMF_scripts.tgz)
Comment 2 Red Hat Bugzilla 2009-11-10 16:04:39 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2449
Imported an attachment (id=368800)
Comment 3 wes hayutin 2010-02-16 12:09:20 EST
mass add of key word FutureFeature to help track
Comment 6 Jay Shaughnessy 2014-05-09 11:58:49 EDT
Not sure if this was done, but if not it seems not needed by our current scripts.

Note You need to log in before you can comment on or make changes to this bug.